EM_NOPT(6ACK)

NAME
em_nopt - EM peephole optimizer

SYNOPSIS
~em/lib/em_nopt [ inputfile [ outputfile ] ]

DESCRIPTION
Em_nopt reads a compact EM-program inputfile or standard input, and produces another compact EM program on outputfile or standard output that is functionally equivalent, but smaller. This program is a faster replacement for the program em_opt but does not perform some other functions that that program performed and were required before running a codegenerator. These operations are now performed by the front ends and the EM_CODE(3ACK) module. The old program is still required for front ends that do not use the new mechanisms or for making a library module. Usually this program need not be run as the front end will perform the equivalent optimizations using the library module em_opt(3).

SEE ALSO
ack(1) em_opt(1) em_opt(3)

AUTHOR
Bruce McKenzie <bruce@cantuar.UUCP>